/*DOC************************************************************************
		 
File Name: testvvw.h

Description: Test suite for VCR Buttons using MFC 2.0.
		     interface of the CTestvbxView class
*DOC************************************************************************/

/*****************************************************************************

Class Name: CTestvbxView  CView
Purpose:	Main View class

*****************************************************************************/

class CTestvbxView : public CView
{
protected: // create from serialization only
	CTestvbxView();
	DECLARE_DYNCREATE(CTestvbxView)

// Attributes
public:
	CTestvbxDoc* GetDocument();

// Operations
public:

// Implementation
public:
	virtual ~CTestvbxView();
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Printing support
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Generated message map functions
protected:
	//{{AFX_MSG(CTestvbxView)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG	// debug version in testvvw.cpp
inline CTestvbxDoc* CTestvbxView::GetDocument()
   { return (CTestvbxDoc*) m_pDocument; }
#endif

