/*DOC************************************************************************
		 
File Name: mainfrm.cpp

Description: Test suite for VCR Buttons using MFC 2.0.

*DOC************************************************************************/

#include "stdafx.h"
#include "testvbx.h"

#include "mainfrm.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif


IMPLEMENT_DYNAMIC(CMainFrame, CMDIFrameWnd)

BEGIN_MESSAGE_MAP(CMainFrame, CMDIFrameWnd)
	//{{AFX_MSG_MAP(CMainFrame)
	ON_WM_CREATE()
	ON_COMMAND(ID_VBX_VCRBUTTON, OnVbxVcrbutton)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


static UINT BASED_CODE indicators[] =
{
	ID_SEPARATOR,			// status line indicator
	ID_INDICATOR_CAPS,
	ID_INDICATOR_NUM,
	ID_INDICATOR_SCRL,
};
/*****************************************************************************

Function Name: CMainFrame
Purpose:	   Constructor

*****************************************************************************/
CMainFrame::CMainFrame()
{
	// TODO: add member initialization code here
}

CMainFrame::~CMainFrame()
{
}

/*****************************************************************************

Function Name: CMainFrame
Purpose:	   Destructor

*****************************************************************************/

int CMainFrame::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
	if (CMDIFrameWnd::OnCreate(lpCreateStruct) == -1)
		return -1;

	if (!m_wndStatusBar.Create(this) ||
		!m_wndStatusBar.SetIndicators(indicators,
		  sizeof(indicators)/sizeof(UINT)))
	{
		TRACE("Failed to create status bar\n");
		return -1;		// fail to create
	}

	return 0;
}

/*****************************************************************************

Function Name: CMainFrame
Purpose:	   Diagnostics

*****************************************************************************/
#ifdef _DEBUG
void CMainFrame::AssertValid() const
{
	CMDIFrameWnd::AssertValid();
}

void CMainFrame::Dump(CDumpContext& dc) const
{
	CMDIFrameWnd::Dump(dc);
}

#endif //_DEBUG
/*****************************************************************************

Function Name: CMainFrame: OnVbxVcrButton
Purpose:	   Test suite dialog for VCR Buttons custom control

*****************************************************************************/
void CMainFrame::OnVbxVcrbutton()
{
	VCRBUTTON dlg;
	
	dlg.DoModal();
}

