/*DOC************************************************************************
		 
File Name: mainfrm.h

Description: Test suite for VCR Buttons using MFC 2.0.
 		     interface of the CMainFrame class
*DOC************************************************************************/

/*****************************************************************************

Class Name: VCRBUTTON   CDialog
Purpose:	Test suite dialog class

*****************************************************************************/

class VCRBUTTON : public CDialog
{
// Construction
public:
	VCRBUTTON(CWnd* pParent = NULL);	// standard constructor


// Dialog Data
	//{{AFX_DATA(VCRBUTTON)
	enum { IDD = IDD_VCR };
	//}}AFX_DATA

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(VCRBUTTON)
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/*****************************************************************************

Class Name: CMainFrame   CMDIFrameWnd
Purpose:	Frame class

*****************************************************************************/
class CMainFrame : public CMDIFrameWnd
{
	DECLARE_DYNAMIC(CMainFrame)
public:
	CMainFrame();

// Attributes
public:

// Operations
public:

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual	void AssertValid() const;
	virtual	void Dump(CDumpContext& dc) const;
#endif


protected:	// control bar embedded members
	CStatusBar	m_wndStatusBar;
	CToolBar	m_wndToolBar;

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnVbx3dbutton();
	afx_msg void OnVbxVcrbutton();
	afx_msg void OnVbx3doptions();
	afx_msg void OnVbx3dcheckbox();
	afx_msg void OnVbxAnimatedbtn();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

