/*
** Include File: vcrbut.h
*/

/*
** Macros for custom control class names
*/

#define VCR_BUTTON "VCRButton"

/*
** Special Style Flags for the VCR Button
** style.  A single special flag is defined for
** the VCR style.  Additional flags are defined 
** that are used in the resource file that also
** turn on the correct radio button flags.
** The radio button flags need to be set
** so that underlying radio button will 
** operate correctly.
*/

#define BSS_VCR		0x1000L 
#define BSS_VCRBUTTON	BSS_VCR | BS_RADIOBUTTON
#define BSS_AUTOVCRBUTTON	BSS_VCR | BS_AUTORADIOBUTTON


